// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0
// 	protoc        v3.13.0
// source: v1/engine.proto

package v1

import (
	proto "github.com/golang/protobuf/proto"
	status "google.golang.org/genproto/googleapis/rpc/status"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type Engine struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Uuid      string  `protobuf:"bytes,1,opt,name=uuid,proto3" json:"uuid,omitempty"`
	Type      string  `protobuf:"bytes,2,opt,name=type,proto3" json:"type,omitempty"`
	Name      string  `protobuf:"bytes,3,opt,name=name,proto3" json:"name,omitempty"`
	Device    string  `protobuf:"bytes,4,opt,name=device,proto3" json:"device,omitempty"`
	ModelUuid string  `protobuf:"bytes,5,opt,name=model_uuid,json=modelUuid,proto3" json:"model_uuid,omitempty"`
	Fps       float32 `protobuf:"fixed32,6,opt,name=fps,proto3" json:"fps,omitempty"`
}

func (x *Engine) Reset() {
	*x = Engine{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_engine_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Engine) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Engine) ProtoMessage() {}

func (x *Engine) ProtoReflect() protoreflect.Message {
	mi := &file_v1_engine_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Engine.ProtoReflect.Descriptor instead.
func (*Engine) Descriptor() ([]byte, []int) {
	return file_v1_engine_proto_rawDescGZIP(), []int{0}
}

func (x *Engine) GetUuid() string {
	if x != nil {
		return x.Uuid
	}
	return ""
}

func (x *Engine) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *Engine) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Engine) GetDevice() string {
	if x != nil {
		return x.Device
	}
	return ""
}

func (x *Engine) GetModelUuid() string {
	if x != nil {
		return x.ModelUuid
	}
	return ""
}

func (x *Engine) GetFps() float32 {
	if x != nil {
		return x.Fps
	}
	return 0
}

// Method: GET
// URL: /v1/support/type/engine
type SupportEngineTypeResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Types  []string       `protobuf:"bytes,1,rep,name=types,proto3" json:"types,omitempty"`
	Status *status.Status `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *SupportEngineTypeResponse) Reset() {
	*x = SupportEngineTypeResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_engine_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SupportEngineTypeResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SupportEngineTypeResponse) ProtoMessage() {}

func (x *SupportEngineTypeResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_engine_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SupportEngineTypeResponse.ProtoReflect.Descriptor instead.
func (*SupportEngineTypeResponse) Descriptor() ([]byte, []int) {
	return file_v1_engine_proto_rawDescGZIP(), []int{1}
}

func (x *SupportEngineTypeResponse) GetTypes() []string {
	if x != nil {
		return x.Types
	}
	return nil
}

func (x *SupportEngineTypeResponse) GetStatus() *status.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

// Method: GET
// URL: /v1/support/type/engine/device
type SupportEngineDeviceTypeResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Types  []string       `protobuf:"bytes,1,rep,name=types,proto3" json:"types,omitempty"`
	Status *status.Status `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *SupportEngineDeviceTypeResponse) Reset() {
	*x = SupportEngineDeviceTypeResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_engine_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SupportEngineDeviceTypeResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SupportEngineDeviceTypeResponse) ProtoMessage() {}

func (x *SupportEngineDeviceTypeResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_engine_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SupportEngineDeviceTypeResponse.ProtoReflect.Descriptor instead.
func (*SupportEngineDeviceTypeResponse) Descriptor() ([]byte, []int) {
	return file_v1_engine_proto_rawDescGZIP(), []int{2}
}

func (x *SupportEngineDeviceTypeResponse) GetTypes() []string {
	if x != nil {
		return x.Types
	}
	return nil
}

func (x *SupportEngineDeviceTypeResponse) GetStatus() *status.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

// Method:  POST
// URL:     /v1/engines
type CreateEngineRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Type      string `protobuf:"bytes,1,opt,name=type,proto3" json:"type,omitempty"`
	Name      string `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Device    string `protobuf:"bytes,3,opt,name=device,proto3" json:"device,omitempty"`
	ModelUuid string `protobuf:"bytes,4,opt,name=model_uuid,json=modelUuid,proto3" json:"model_uuid,omitempty"`
}

func (x *CreateEngineRequest) Reset() {
	*x = CreateEngineRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_engine_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateEngineRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateEngineRequest) ProtoMessage() {}

func (x *CreateEngineRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_engine_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateEngineRequest.ProtoReflect.Descriptor instead.
func (*CreateEngineRequest) Descriptor() ([]byte, []int) {
	return file_v1_engine_proto_rawDescGZIP(), []int{3}
}

func (x *CreateEngineRequest) GetType() string {
	if x != nil {
		return x.Type
	}
	return ""
}

func (x *CreateEngineRequest) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *CreateEngineRequest) GetDevice() string {
	if x != nil {
		return x.Device
	}
	return ""
}

func (x *CreateEngineRequest) GetModelUuid() string {
	if x != nil {
		return x.ModelUuid
	}
	return ""
}

type CreateEngineResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Engine *Engine        `protobuf:"bytes,1,opt,name=engine,proto3" json:"engine,omitempty"`
	Status *status.Status `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *CreateEngineResponse) Reset() {
	*x = CreateEngineResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_engine_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateEngineResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateEngineResponse) ProtoMessage() {}

func (x *CreateEngineResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_engine_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateEngineResponse.ProtoReflect.Descriptor instead.
func (*CreateEngineResponse) Descriptor() ([]byte, []int) {
	return file_v1_engine_proto_rawDescGZIP(), []int{4}
}

func (x *CreateEngineResponse) GetEngine() *Engine {
	if x != nil {
		return x.Engine
	}
	return nil
}

func (x *CreateEngineResponse) GetStatus() *status.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

// Method:  GET
// URL:     /v1/engines
type ListEngineResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Engines []*Engine      `protobuf:"bytes,1,rep,name=engines,proto3" json:"engines,omitempty"`
	Status  *status.Status `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *ListEngineResponse) Reset() {
	*x = ListEngineResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_engine_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListEngineResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListEngineResponse) ProtoMessage() {}

func (x *ListEngineResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_engine_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListEngineResponse.ProtoReflect.Descriptor instead.
func (*ListEngineResponse) Descriptor() ([]byte, []int) {
	return file_v1_engine_proto_rawDescGZIP(), []int{5}
}

func (x *ListEngineResponse) GetEngines() []*Engine {
	if x != nil {
		return x.Engines
	}
	return nil
}

func (x *ListEngineResponse) GetStatus() *status.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

// Method:  PUT
// URL:     /v1/engines/:uuid
type UpdateEngineRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name   string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	Device string `protobuf:"bytes,2,opt,name=device,proto3" json:"device,omitempty"`
}

func (x *UpdateEngineRequest) Reset() {
	*x = UpdateEngineRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_engine_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdateEngineRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateEngineRequest) ProtoMessage() {}

func (x *UpdateEngineRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_engine_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateEngineRequest.ProtoReflect.Descriptor instead.
func (*UpdateEngineRequest) Descriptor() ([]byte, []int) {
	return file_v1_engine_proto_rawDescGZIP(), []int{6}
}

func (x *UpdateEngineRequest) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *UpdateEngineRequest) GetDevice() string {
	if x != nil {
		return x.Device
	}
	return ""
}

type UpdateEngineResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Engine *Engine        `protobuf:"bytes,1,opt,name=engine,proto3" json:"engine,omitempty"`
	Status *status.Status `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *UpdateEngineResponse) Reset() {
	*x = UpdateEngineResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_engine_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *UpdateEngineResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*UpdateEngineResponse) ProtoMessage() {}

func (x *UpdateEngineResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_engine_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use UpdateEngineResponse.ProtoReflect.Descriptor instead.
func (*UpdateEngineResponse) Descriptor() ([]byte, []int) {
	return file_v1_engine_proto_rawDescGZIP(), []int{7}
}

func (x *UpdateEngineResponse) GetEngine() *Engine {
	if x != nil {
		return x.Engine
	}
	return nil
}

func (x *UpdateEngineResponse) GetStatus() *status.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

// Method:  DELETE
// URL:     /v1/engines/:uuid
type DeleteEngineResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Engine *Engine        `protobuf:"bytes,1,opt,name=engine,proto3" json:"engine,omitempty"`
	Status *status.Status `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *DeleteEngineResponse) Reset() {
	*x = DeleteEngineResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_engine_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteEngineResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteEngineResponse) ProtoMessage() {}

func (x *DeleteEngineResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_engine_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteEngineResponse.ProtoReflect.Descriptor instead.
func (*DeleteEngineResponse) Descriptor() ([]byte, []int) {
	return file_v1_engine_proto_rawDescGZIP(), []int{8}
}

func (x *DeleteEngineResponse) GetEngine() *Engine {
	if x != nil {
		return x.Engine
	}
	return nil
}

func (x *DeleteEngineResponse) GetStatus() *status.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

var File_v1_engine_proto protoreflect.FileDescriptor

var file_v1_engine_proto_rawDesc = []byte{
	0x0a, 0x0f, 0x76, 0x31, 0x2f, 0x65, 0x6e, 0x67, 0x69, 0x6e, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x12, 0x19, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62,
	0x2e, 0x68, 0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x1a, 0x1e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x2f, 0x67, 0x72, 0x70, 0x63, 0x2f, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x2f,
	0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x8d, 0x01, 0x0a,
	0x06, 0x45, 0x6e, 0x67, 0x69, 0x6e, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x75, 0x75, 0x69, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x75, 0x75, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x74,
	0x79, 0x70, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12,
	0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e,
	0x61, 0x6d, 0x65, 0x12, 0x16, 0x0a, 0x06, 0x64, 0x65, 0x76, 0x69, 0x63, 0x65, 0x18, 0x04, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x06, 0x64, 0x65, 0x76, 0x69, 0x63, 0x65, 0x12, 0x1d, 0x0a, 0x0a, 0x6d,
	0x6f, 0x64, 0x65, 0x6c, 0x5f, 0x75, 0x75, 0x69, 0x64, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x09, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x55, 0x75, 0x69, 0x64, 0x12, 0x10, 0x0a, 0x03, 0x66, 0x70,
	0x73, 0x18, 0x06, 0x20, 0x01, 0x28, 0x02, 0x52, 0x03, 0x66, 0x70, 0x73, 0x22, 0x5d, 0x0a, 0x19,
	0x53, 0x75, 0x70, 0x70, 0x6f, 0x72, 0x74, 0x45, 0x6e, 0x67, 0x69, 0x6e, 0x65, 0x54, 0x79, 0x70,
	0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x14, 0x0a, 0x05, 0x74, 0x79, 0x70,
	0x65, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x09, 0x52, 0x05, 0x74, 0x79, 0x70, 0x65, 0x73, 0x12,
	0x2a, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x12, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x53, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x22, 0x63, 0x0a, 0x1f, 0x53,
	0x75, 0x70, 0x70, 0x6f, 0x72, 0x74, 0x45, 0x6e, 0x67, 0x69, 0x6e, 0x65, 0x44, 0x65, 0x76, 0x69,
	0x63, 0x65, 0x54, 0x79, 0x70, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x14,
	0x0a, 0x05, 0x74, 0x79, 0x70, 0x65, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x09, 0x52, 0x05, 0x74,
	0x79, 0x70, 0x65, 0x73, 0x12, 0x2a, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x02,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x72, 0x70,
	0x63, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73,
	0x22, 0x74, 0x0a, 0x13, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x45, 0x6e, 0x67, 0x69, 0x6e, 0x65,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x74, 0x79, 0x70, 0x65, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x74, 0x79, 0x70, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x6e,
	0x61, 0x6d, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12,
	0x16, 0x0a, 0x06, 0x64, 0x65, 0x76, 0x69, 0x63, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x06, 0x64, 0x65, 0x76, 0x69, 0x63, 0x65, 0x12, 0x1d, 0x0a, 0x0a, 0x6d, 0x6f, 0x64, 0x65, 0x6c,
	0x5f, 0x75, 0x75, 0x69, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x6d, 0x6f, 0x64,
	0x65, 0x6c, 0x55, 0x75, 0x69, 0x64, 0x22, 0x7d, 0x0a, 0x14, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65,
	0x45, 0x6e, 0x67, 0x69, 0x6e, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x39,
	0x0a, 0x06, 0x65, 0x6e, 0x67, 0x69, 0x6e, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x21,
	0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62, 0x2e, 0x68,
	0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x2e, 0x45, 0x6e, 0x67, 0x69, 0x6e,
	0x65, 0x52, 0x06, 0x65, 0x6e, 0x67, 0x69, 0x6e, 0x65, 0x12, 0x2a, 0x0a, 0x06, 0x73, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73,
	0x74, 0x61, 0x74, 0x75, 0x73, 0x22, 0x7d, 0x0a, 0x12, 0x4c, 0x69, 0x73, 0x74, 0x45, 0x6e, 0x67,
	0x69, 0x6e, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x3b, 0x0a, 0x07, 0x65,
	0x6e, 0x67, 0x69, 0x6e, 0x65, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x74,
	0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62, 0x2e, 0x68, 0x61, 0x77,
	0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x2e, 0x45, 0x6e, 0x67, 0x69, 0x6e, 0x65, 0x52,
	0x07, 0x65, 0x6e, 0x67, 0x69, 0x6e, 0x65, 0x73, 0x12, 0x2a, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74,
	0x75, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c,
	0x65, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74,
	0x61, 0x74, 0x75, 0x73, 0x22, 0x41, 0x0a, 0x13, 0x55, 0x70, 0x64, 0x61, 0x74, 0x65, 0x45, 0x6e,
	0x67, 0x69, 0x6e, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x6e,
	0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12,
	0x16, 0x0a, 0x06, 0x64, 0x65, 0x76, 0x69, 0x63, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x06, 0x64, 0x65, 0x76, 0x69, 0x63, 0x65, 0x22, 0x7d, 0x0a, 0x14, 0x55, 0x70, 0x64, 0x61, 0x74,
	0x65, 0x45, 0x6e, 0x67, 0x69, 0x6e, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x39, 0x0a, 0x06, 0x65, 0x6e, 0x67, 0x69, 0x6e, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x21, 0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62, 0x2e,
	0x68, 0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x2e, 0x45, 0x6e, 0x67, 0x69,
	0x6e, 0x65, 0x52, 0x06, 0x65, 0x6e, 0x67, 0x69, 0x6e, 0x65, 0x12, 0x2a, 0x0a, 0x06, 0x73, 0x74,
	0x61, 0x74, 0x75, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06,
	0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x22, 0x7d, 0x0a, 0x14, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65,
	0x45, 0x6e, 0x67, 0x69, 0x6e, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x39,
	0x0a, 0x06, 0x65, 0x6e, 0x67, 0x69, 0x6e, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x21,
	0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62, 0x2e, 0x68,
	0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x2e, 0x45, 0x6e, 0x67, 0x69, 0x6e,
	0x65, 0x52, 0x06, 0x65, 0x6e, 0x67, 0x69, 0x6e, 0x65, 0x12, 0x2a, 0x0a, 0x06, 0x73, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73,
	0x74, 0x61, 0x74, 0x75, 0x73, 0x42, 0x29, 0x5a, 0x27, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e,
	0x63, 0x6f, 0x6d, 0x2f, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2f, 0x70,
	0x62, 0x2f, 0x68, 0x61, 0x77, 0x6b, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x76, 0x31, 0x3b, 0x76, 0x31,
	0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_v1_engine_proto_rawDescOnce sync.Once
	file_v1_engine_proto_rawDescData = file_v1_engine_proto_rawDesc
)

func file_v1_engine_proto_rawDescGZIP() []byte {
	file_v1_engine_proto_rawDescOnce.Do(func() {
		file_v1_engine_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_engine_proto_rawDescData)
	})
	return file_v1_engine_proto_rawDescData
}

var file_v1_engine_proto_msgTypes = make([]protoimpl.MessageInfo, 9)
var file_v1_engine_proto_goTypes = []interface{}{
	(*Engine)(nil),                          // 0: touchcloud.pb.hawk.api.v1.Engine
	(*SupportEngineTypeResponse)(nil),       // 1: touchcloud.pb.hawk.api.v1.SupportEngineTypeResponse
	(*SupportEngineDeviceTypeResponse)(nil), // 2: touchcloud.pb.hawk.api.v1.SupportEngineDeviceTypeResponse
	(*CreateEngineRequest)(nil),             // 3: touchcloud.pb.hawk.api.v1.CreateEngineRequest
	(*CreateEngineResponse)(nil),            // 4: touchcloud.pb.hawk.api.v1.CreateEngineResponse
	(*ListEngineResponse)(nil),              // 5: touchcloud.pb.hawk.api.v1.ListEngineResponse
	(*UpdateEngineRequest)(nil),             // 6: touchcloud.pb.hawk.api.v1.UpdateEngineRequest
	(*UpdateEngineResponse)(nil),            // 7: touchcloud.pb.hawk.api.v1.UpdateEngineResponse
	(*DeleteEngineResponse)(nil),            // 8: touchcloud.pb.hawk.api.v1.DeleteEngineResponse
	(*status.Status)(nil),                   // 9: google.rpc.Status
}
var file_v1_engine_proto_depIdxs = []int32{
	9,  // 0: touchcloud.pb.hawk.api.v1.SupportEngineTypeResponse.status:type_name -> google.rpc.Status
	9,  // 1: touchcloud.pb.hawk.api.v1.SupportEngineDeviceTypeResponse.status:type_name -> google.rpc.Status
	0,  // 2: touchcloud.pb.hawk.api.v1.CreateEngineResponse.engine:type_name -> touchcloud.pb.hawk.api.v1.Engine
	9,  // 3: touchcloud.pb.hawk.api.v1.CreateEngineResponse.status:type_name -> google.rpc.Status
	0,  // 4: touchcloud.pb.hawk.api.v1.ListEngineResponse.engines:type_name -> touchcloud.pb.hawk.api.v1.Engine
	9,  // 5: touchcloud.pb.hawk.api.v1.ListEngineResponse.status:type_name -> google.rpc.Status
	0,  // 6: touchcloud.pb.hawk.api.v1.UpdateEngineResponse.engine:type_name -> touchcloud.pb.hawk.api.v1.Engine
	9,  // 7: touchcloud.pb.hawk.api.v1.UpdateEngineResponse.status:type_name -> google.rpc.Status
	0,  // 8: touchcloud.pb.hawk.api.v1.DeleteEngineResponse.engine:type_name -> touchcloud.pb.hawk.api.v1.Engine
	9,  // 9: touchcloud.pb.hawk.api.v1.DeleteEngineResponse.status:type_name -> google.rpc.Status
	10, // [10:10] is the sub-list for method output_type
	10, // [10:10] is the sub-list for method input_type
	10, // [10:10] is the sub-list for extension type_name
	10, // [10:10] is the sub-list for extension extendee
	0,  // [0:10] is the sub-list for field type_name
}

func init() { file_v1_engine_proto_init() }
func file_v1_engine_proto_init() {
	if File_v1_engine_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_v1_engine_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Engine); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_engine_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SupportEngineTypeResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_engine_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*SupportEngineDeviceTypeResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_engine_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateEngineRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_engine_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateEngineResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_engine_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListEngineResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_engine_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdateEngineRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_engine_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*UpdateEngineResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_engine_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteEngineResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_engine_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   9,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_engine_proto_goTypes,
		DependencyIndexes: file_v1_engine_proto_depIdxs,
		MessageInfos:      file_v1_engine_proto_msgTypes,
	}.Build()
	File_v1_engine_proto = out.File
	file_v1_engine_proto_rawDesc = nil
	file_v1_engine_proto_goTypes = nil
	file_v1_engine_proto_depIdxs = nil
}
